Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.core.rap
Class ESWorkspaceProviderProviderFactory

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.internal.core.rap.ESWorkspaceProviderProviderFactory

All Implemented Interfaces:
  org.osgi.framework.ServiceFactory<ESWorkspaceProviderProvider>

    public class ESWorkspaceProviderProviderFactory

extends Object
implements org.osgi.framework.ServiceFactory<ESWorkspaceProviderProvider>

This is the factory for creating the ESWorkspaceProviderProvider service.

Author:
  neilmack

Constructor Summary
`ESWorkspaceProviderProviderFactory()` default constructor.

Method Summary
`ESWorkspaceProviderProvider` | `getService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<ESWorkspaceProviderProvider> registration)` this method returns the ESWorkspaceProviderProvider service for the current session.
`void` | `init()` initialise the factory.
`void` | `ungetService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<ESWorkspaceProviderProvider> registration, ESWorkspaceProviderProvider service)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESWorkspaceProviderProviderFactory

    public ESWorkspaceProviderProviderFactory()

  default constructor.

Method Detail

### init

    public void init()

  initialise the factory.

### getService

    public final ESWorkspaceProviderProvider getService(org.osgi.framework.Bundle bundle,
                                                        org.osgi.framework.ServiceRegistration<ESWorkspaceProviderProvider> registration)

  this method returns the ESWorkspaceProviderProvider service for the current session. It is called by the OSGI framework.

  Specified by:
    `getService` in interface `org.osgi.framework.ServiceFactory<ESWorkspaceProviderProvider>`
  Parameters:
    `bundle` - the OSGI bundle
    `registration` - the service registration
  Returns:
    the service

### ungetService

    public void ungetService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<ESWorkspaceProviderProvider> registration,
                             ESWorkspaceProviderProvider service)

  Specified by:
    `ungetService` in interface `org.osgi.framework.ServiceFactory<ESWorkspaceProviderProvider>`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.